Avisos
Vaciar todo

[Resuelto] Error crítico en la Web (plugin ASM para woocomerce)  

 
Antía
 Antía
Usuario activo

Hola, hemos cambiado la web y desde ese momento el modulo de ASM para sacar las etiquetas del transportista da el siguiente error:

[05-Dec-2020 10:06:25 UTC] PHP Fatal error: Uncaught Error: Class '' not found in /home/lasflor5/public_html/lasfloresdegreta.es/wp-content/plugins/woocommerce-asm-envios/classes/class-asm-table.php:199
Stack trace:
#0 /home/lasflor5/public_html/lasfloresdegreta.es/wp-content/plugins/woocommerce-asm-envios/woocommerce-asm-envios.php(436): ASM_List_Table->prepare_items()
#1 /home/lasflor5/public_html/lasfloresdegreta.es/wp-includes/class-wp-hook.php(287): asm_submenu_page_callback('')
#2 /home/lasflor5/public_html/lasfloresdegreta.es/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters('', Array)
#3 /home/lasflor5/public_html/lasfloresdegreta.es/wp-includes/plugin.php(478): WP_Hook->do_action(Array)
#4 /home/lasflor5/public_html/lasfloresdegreta.es/wp-admin/admin.php(259): do_action('woocommerce_pag...')
#5 {main}
thrown in /home/lasflor5/public_html/lasfloresdegreta.es/wp-content/plugins/woocommerce-asm-envios/classes/class-asm-table.php on line 199

 

Ya he probado a reinstalar el plugin y a desactivar todos los plugins a ver si alguno causaba conflicto, si éxito.

El módulo funciona para:

Versión Wordpress: 4.7.X – 5.5
Versión WooCommerce: 3.X – 4.X

Y debe estar instalada la librería cURL de PHP para las llamadas webservices.

¿Alguna idea de que puede estar pasando?

Gracias

 

 

Contenido solo visible a usuarios registrados

Respondido : 07/12/2020 11:15 pm
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

Hola Antia, ¿Podrías indicarme qué cambios o a qué te refieres con que han cambiado la web? 

Este tipo de errores tienen que ver con la programación del plugin como tal, prueba si modificando la versión de PHP desde tu cuenta de cPanel corrige el problema, aunque desde ya deberías contactar con el desarrollador del plugin para que te ofrezca una solución. 

Te comparto la siguiente guía que puede serte de utilidad -> cambiar-la-version-php

Respondido : 08/12/2020 12:01 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Antía
 Antía
Usuario activo

Ya he probado a cambiar la versión de php y nada.

Hemos hecho una nueva web, pero hemos importado la tienda y el blog de la antigua.

Respondido : 08/12/2020 12:03 am
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

@antiamcpgmail-com

Hola Antia, 

En este caso habría que revisar qué versión de Wordpress y de Woocommerce tiene o tenía la web anterior en la cual el plugin de ASM funcionaba, supongo que el plugin debe ser antiguo pues ese nombre ya no corresponde al de la empresa de envíos en la actualidad.

Saludos

Respondido : 08/12/2020 12:32 am

Cursos Gratuitos WordPress

Antía
 Antía
Usuario activo

@bulmaro-webempresa ya hemos hablado con GLS y tenemos la ultima versión del plugin y según ellos funciona para la Versión Wordpress: 4.7.X – 5.5
Versión WooCommerce: 3.X – 4.X. 

Tenemos la versión 5.5.3 de wordpress y la 4.7 de woocomerce. Es verdad que en la anterior web teníamos una versión menos de wordpress, la anterior a la que tenemos ahora creo recordar.

Respondido : 08/12/2020 12:38 am
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

@antiamcpgmail-com

Hola Antía,

Como te indiqué, los errores con código de error 500 son a causa de una incompatibilidad entre Wordpress y el plugin o template en cuestión, he tratado de buscar documentación del plugin que mencionas para conocer sus requerimientos y así saber con certeza si escomptable o no con la versión actual de Wordpress, no he encontrado nada al respecto. ninguna mención a la documentación del plugin, por lo que te sugiero que contactes con el desarrollador y le compartas el error que has compartido aquí, tambien te sugiero que pruebes haciendo un downgrade a la versión 5.1.8 de Wordpress y verifiques si con esta versión funciona el plugin. 

Saludos

Respondido : 08/12/2020 2:25 am

wpdoctor-revisa-la-salud-de-tu-wordpress

JESUS
 JESUS
Usuario activo

@antiamcpgmail-com Muchas gracias por investigar el problema, nosotros tenemos el mismo, ¿puedes indicarnos como conseguir la nueva versión? ¿Ahora funciona todo correctamente?

Gracias por todo

Respondido : 26/01/2021 7:48 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Jesus

Por favor abre un nuevo hilo con la consulta que quieres realizar.

Al seguir una consulta de otro usuario, no podemos realizar las pruebas que necesitamos en tu cuenta.

 

Un saludo

 

 

Respondido : 26/01/2021 9:27 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

JESUS
 JESUS
Usuario activo

Buenos días Pepe, 

lo que necesitamos es la nueva versión del plugin GLS o ASM. Por si no lo conseguimos pronto podemos ir mirando en paralelo el rendimiento ya que este plugin muestra multiples errores.

Un saludo

Respondido : 26/01/2021 9:55 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Jesus.

En este enlace tienes la descarga del plugin:

-> https://gls-group.eu/FR/fr/envoyer-colis/solutions-pros/e-commerce

Lo normal es que te lo proporcione la propia empresa de transporte, si no funciona con el que te indico puedes ponerte en contacto con ellos para que te proporcionen la descarga.

 

Un saludo

Esta publicación ha sido modificada el hace 9 meses por Pepe
Respondido : 26/01/2021 10:11 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JESUS
 JESUS
Usuario activo

@pepesoler Muchas gracias Pepe, habíamos abierto otro hilo, lo dejamos hasta probar este nuevo plugin.

Respondido : 26/01/2021 11:13 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Jesus.

Genial !!! cierro esta entrada y lo seguimos en el otro hilo que tienes abierto.

 

Un saludo

Respondido : 26/01/2021 11:32 am

Cursos Gratuitos WordPress